Subject: Re: [PATCH] am: Allow passing --no-verify flag

From: Thierry Reding <[email-masked]>
Date: Sat, 19 Nov 2022 01:49:08 +0100

On Fri, Nov 18, 2022 at 01:21:55PM -0500, Taylor Blau wrote:
> On Fri, Nov 18, 2022 at 02:27:43PM +0100, Thierry Reding wrote:
> > From: Thierry Reding <[email-masked]>
> >
> > The git-am --no-verify flag is analogous to the same flag passed to
> > git-commit. It bypasses the pre-applypatch and applypatch-msg hooks
> > if they are enabled.
> 
> The patch below looks reasonable to me. Is there a way that we could
> test this easily? It looks trivially correct to my eyes, but I want to
> avoid the possibility of regressing here in the future.

Yeah, turns out this can be pretty easily checked. I'll resend a v2 with
the test included.

Thierry